Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.scheduler
Class MinAvgSchedulerService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.web.loadbalancer.scheduler.AbstractScheduler
                  org.jboss.web.loadbalancer.scheduler.MinAvgSchedulerService

All Implemented Interfaces:
  AbstractSchedulerMBean, EventListener, javax.management.MBeanRegistration, MinAvgSchedulerServiceMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, SchedulerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class MinAvgSchedulerService
extends AbstractScheduler
implements MinAvgSchedulerServiceMBean

A scheduler that chooses the node with the lowest avg. request duration.

Version:
  $Revision: 1.2 $
Author:
  Thomas Peuss

Field Summary

Fields inherited from class org.jboss.web.loadbalancer.scheduler.AbstractScheduler
`config, hostsDown, hostsUp, stickyCookieName, useStickySession`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.web.loadbalancer.scheduler.MinAvgSchedulerServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`MinAvgSchedulerService()`

Method Summary
`protected Host` | `getNextHost()` Override this method to create a new scheduler.

Methods inherited from class org.jboss.web.loadbalancer.scheduler.AbstractScheduler
`addHost, addHostsFromConfig, createService, deregisterHostMBean, deregisterHostMBeans, findStickyHost, genObjectNameForHost, getHost, getHostsDown, getHostsUp, handleNotification, markNodeDown, markNodeUp, registerHostMBean, removeHost, setConfig, setStickyCookie, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.web.loadbalancer.scheduler.AbstractSchedulerMBean
`addHost, getHostsDown, getHostsUp, removeHost, setConfig`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.web.loadbalancer.scheduler.SchedulerMBean
`getHost`

Constructor Detail

### MinAvgSchedulerService

    public MinAvgSchedulerService()

Method Detail

### getNextHost

    protected Host getNextHost()

  Description copied from class: `AbstractScheduler`
  Override this method to create a new scheduler.

  Specified by:
    `getNextHost` in class `AbstractScheduler`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.